﻿@model BeforeAfterCareCreateEditModelStep2

@{
    Layout = null;
}
<style>
    .timelabel{
        color: #5b8100;
    }
</style>
<div class="view-container">

    <div class="title-bar">

        <div class="back">
            <a class="action" ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId: MC.stateParams.programId})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title" ng-if="Model.SaveType == 'Draft'">
            <h1>
                Add ({{Model.Name}})
            </h1>
        </div>

        <div class="title" ng-if="Model.SaveType == 'Publish'">
            <h1>
                Edit ({{Model.Name}})
            </h1>
        </div>

        <div class="actions"></div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div class="accordion add-program-schedules" data-role="accordion">
        <div class="add-program-schedule-frame" initAccordions()>

            <div class="add-program-schedule-content" ng-class="{block : MC.stateParams.programType == 'Class' ? true : !firstCollapsed, 'content': (MC.stateParams.programType == 'Class' ? false : firstCollapsed)}">
<fieldset>
    <legend>Program type</legend>

    <div class="place-left">
        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-false-value="false" ng-true-value="true" ng-model="Model.IsBeforeSchool" type="checkbox" ng-change="DisabaleBeforeSchool(Model.IsBeforeSchool , Model.BeforeProgramScheduleId)">
                <span class="check"></span>
                Before school <i  ng-if="Model.IsFreezedBeforeProgramSchedule" class="grid-label label info">Frozen</i>
            </label>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="place-left one-half" ng-show="Model.IsBeforeSchool">
        <div>
            <label class="req-star">Title</label>
            <div class="input-control text" @Html.AngValidationClass("BeforeSchoolTitle")>
                <input ng-model="Model.BeforeSchoolTitle" type="text" @Html.AngTooltipValidation("BeforeSchoolTitle") />
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div ng-show="Model.IsBeforeSchool" class="place-left one-half margin-bottom10">
        <label class="req-star" for="">Description</label>
        <div class="input-control textarea" @Html.AngValidationClassFor(model => model.BeforeSchoolDescription)>
            <textarea @Html.AngTooltipValidationFor(model => model.BeforeSchoolDescription) id="discription" ng-model="@Html.Ang(model => model.BeforeSchoolDescription)"></textarea>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="place-left">
        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-false-value="false" ng-true-value="true" ng-model="Model.IsAfterSchool" type="checkbox" ng-change="DisabaleAfterSchool(Model.IsAfterSchool ,Model.AfterProgramScheduleId)">
                <span class="check"></span>
                After school <i ng-if="Model.IsFreezedAfterProgramSchedule" class="grid-label label info">Frozen</i>
            </label>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="place-left one-half" ng-show="Model.IsAfterSchool">

        <div >
            <label class="req-star">Title</label>
            <div class="input-control text" @Html.AngValidationClass("AfterSchoolTitle")>
                <input ng-model="Model.AfterSchoolTitle" type="text" @Html.AngTooltipValidation("AfterSchoolTitle") />
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div ng-show="Model.IsAfterSchool" class="place-left one-half margin-bottom10">
        <label class="req-star" for="">Description</label>
        <div class="input-control textarea" @Html.AngValidationClassFor(model => model.AfterSchoolDescription)>
            <textarea @Html.AngTooltipValidationFor(model => model.AfterSchoolDescription) id="discription" ng-model="@Html.Ang(model => model.AfterSchoolDescription)"></textarea>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="place-left">
        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-false-value="false" ng-true-value="true" ng-model="Model.IsCombo" type="checkbox" ng-change="DisableCombo(Model.IsCombo , Model.ComboProgramScheduleId)">
                <span class="check"></span>
                Combo <i ng-if="Model.IsFreezedComboProgramSchedule" class="grid-label label info">Frozen</i>
            </label>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="place-left one-half" ng-show="Model.IsCombo">

        <div>
            <label class="req-star">Title</label>
            <div class="input-control text" @Html.AngValidationClass("ComboTitle")>
                <input ng-model="Model.ComboTitle" type="text" @Html.AngTooltipValidation("ComboTitle") />
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div ng-show="Model.IsCombo" class="place-left one-half">
        <label class="req-star" for="">Description</label>
        <div class="input-control textarea" @Html.AngValidationClassFor(model => model.ComboDescription)>
            <textarea @Html.AngTooltipValidationFor(model => model.ComboDescription) id="discription" ng-model="@Html.Ang(model => model.ComboDescription)"></textarea>
        </div>
    </div>
</fieldset>
                <fieldset ng-class="{'fieldset-schedule-type' : MC.stateParams.programType != 'Calendar' || MC.stateParams.programType != 'SeminarTour'}">
                    <legend>Program schedule</legend>
                    <span class="place-right program-days-error">@Html.AngValidation("Days")</span>
                    <div class="clearfix"></div>

                    <ul class="program-week-days program-week-days__label_height-cover" ng-class="MC.stateParams.programType">
                        <li ng-repeat="day in Model.Days" data-toggle="tooltip" data-placement="top" jb-tooltip validation-error-tooltip data-html="true" ng-init="dayIndex = $index"  ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Days['+dayIndex+'].MorningStartTime'].Messages) || MC.isEmpty(errors.formErrors['model.Days['+dayIndex+'].MorningEndTime'].Messages)  || MC.isEmpty(errors.formErrors['model.Days['+dayIndex+'].AfternoonStartTime'].Messages)|| MC.isEmpty(errors.formErrors['model.Days['+dayIndex+'].AfternoonEndTime'].Messages)}"  data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Days['+dayIndex+'].MorningStartTime'].Messages ? errors.formErrors['model.Days['+dayIndex+'].MorningStartTime'].Messages.concat(errors.formErrors['model.Days['+dayIndex+'].MorningEndTime'].Messages) : errors.formErrors['model.Days['+dayIndex+'].MorningEndTime'].Messages )}}">
                            <input id="{{day.DayOfWeek.substring(0, 3)}}" ng-model="day.IsChecked" ng-click="updateWeeksCount()" type="checkbox">
                            <div style="height: 255px;overflow: hidden;">
                                <label for="{{day.DayOfWeek.substring(0, 3)}}">{{day.DayOfWeek.substring(0, 3)}}</label>
                                <span class="timelabel" ng-if="day.IsChecked">Before school</span>
                                <div class="start-end-time">
                                    <div class="input-control date-time" data-role="input-control">
                                        <input ng-disabled="morningTime" class="morningTime" ng-model="day.MorningStartTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Starts at">
                                    </div>
                                    <div class="input-control date-time" data-role="input-control">
                                        <input ng-disabled="morningTime" ng-model="day.MorningEndTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Ends at">
                                    </div>
                                </div>
                                <span class="timelabel" ng-if="day.IsChecked">After school</span>
                                <div class="start-end-time">
                                    <div class="input-control date-time" data-role="input-control">
                                        <input ng-disabled="afternoonTime" ng-model="day.AfternoonStartTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Starts at">
                                    </div>
                                    <div class="input-control date-time" data-role="input-control">
                                        <input ng-disabled="afternoonTime" ng-model="day.AfternoonEndTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Ends at">
                                    </div>
                                </div>
                            </div>

                        </li>
                    </ul>

                    <div class="clearfix"></div>

                    <div class="place-left one-third padding-right20">
                        <label class="req-star">This program starts on</label>
                        <div class="input-control date-time" @Html.AngValidationClassFor(model => model.StartDate)>
                            <div @Html.AngTooltipValidationFor(model => model.StartDate)>
                                <input k-options="MC.datePickerOptions" kendo-date-picker type="text" ng-model="@Html.Ang(m => m.StartDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="setRegisterEndDate(scheduleIndex)" />
                            </div>
                        </div>
                    </div>

                    <div class="place-left one-third padding-right20">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control select" data-role="input">
                            <select ng-model="Model.SelectedContinueType" ng-options="obj.Value as obj.Text for obj in Model.ContinueTypes"></select>
                        </div>
                    </div>

                    <div class="place-left one-third" ng-show="Model.SelectedContinueType == 'Until'">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EndDate)>
                            <div @Html.AngTooltipValidationFor(model => model.EndDate)>
                                <input k-options="MC.datePickerOptions" kendo-date-picker type="text" ng-model="@Html.Ang(model => model.EndDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                            </div>
                        </div>
                    </div>

                    <div class="place-left one-third" ng-show="Model.SelectedContinueType == 'For'">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control select">
                            <select ng-model="Model.SelectedSession" ng-options="obj.Value as obj.Text for obj in Model.Sessions"></select>
                        </div>
                    </div>
                    <div class="clearfix"></div>

                </fieldset>

                <fieldset>
                    <legend>Registration period</legend>
                    <span class="message">You can specify the date users can start registering for this program and the date the regisration period closes.</span>
                    <div>
                        <div class="one-half place-left" style="padding-right: 20px">
                            <label class="req-star" for="">Registration starts on</label>
                            <div class="input-control date-time" @Html.AngValidationClass("RegistrationPeriod.RegisterStartDate")>
                                <div @Html.AngTooltipValidation("RegistrationPeriod.RegisterStartDate")>
                                    <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.RegistrationPeriod.RegisterStartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>
                        </div>

                        <div class="one-half place-left">
                            <label class="req-star" for="">and ends on</label>
                            <div class="input-control date-time" @Html.AngValidationClass("RegistrationPeriod.RegisterEndDate")>
                                <div @Html.AngTooltipValidation("RegistrationPeriod.RegisterEndDate")>
                                    <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.RegistrationPeriod.RegisterEndDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>
                        </div>
                    </div>

                </fieldset>

                <fieldset>
                    <legend>Program options</legend>
                    <span class="message"></span>

                    <div class="clearfix"></div>
                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-false-value="false" ng-true-value="true" ng-model="Model.HasPayInFullOption" type="checkbox">
                                <span class="check"></span>
                                Enable pay-in-full
                            </label>
                        </div>
                    </div>
                    <div class="clearfix"></div>

                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-false-value="false" ng-true-value="true" ng-model="Model.EnableDropIn" type="checkbox">
                                <span class="check"></span>
                                Enable drop-in
                            </label>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div ng-show="Model.EnableDropIn">
                        <div class="place-left two-half-box padding-right20">
                            <label class="req-star">Label</label>
                            <div class="input-control text" @Html.AngValidationClass("DropInSessionLabel")>
                                <input ng-model="Model.DropInSessionLabel" type="text" @Html.AngTooltipValidation("DropInSessionLabel") />
                            </div>
                        </div>
                        <div class="place-left two-half-box">
                            <label class="req-star">Price</label>
                            <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("DropInSessionPrice")>
                                <input ng-model="Model.DropInSessionPrice" type="text" @Html.AngTooltipValidation("DropInSessionPrice") />
                            </div>

                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div ng-show="Model.EnableDropIn">
                        <div class="place-left two-half-box padding-right20">
                            <div class="input-control checkbox" data-role="input-control">
                                <label>
                                    <input ng-false-value="false" ng-true-value="true" ng-model="Model.EnableSameDropInPrice" type="checkbox">
                                    <span class="check"></span>
                                    Allow same day drop-in
                                </label>
                            </div>
                        </div>
                        <div class="place-left two-half-box" ng-show="Model.EnableSameDropInPrice">
                            <label class="req-star">Price</label>
                            <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("DropInSameSessionPrice")>
                                <input ng-model="Model.DropInSameSessionPrice" type="text" @Html.AngTooltipValidation("DropInSameSessionPrice") />
                            </div>

                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-false-value="false" ng-true-value="true" ng-model="Model.HasProrate" type="checkbox">
                                <span class="check"></span>
                                Prorate the schedules
                            </label>
                        </div>
                    </div>
                    <div class="clearfix"></div>

                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-false-value="false" ng-true-value="true" ng-model="Model.EnablePunchCard" type="checkbox">
                                <span class="check"></span>
                                Enable punchcard
                            </label>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div ng-show="Model.EnablePunchCard">
                        <div class="place-left two-half-box padding-right20">
                            <label class="req-star">Number of sessions</label>

                            <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedPunchcard")>
                                <select ng-model="Model.SelectedPunchcard" ng-options="obj.Value as obj.Text for obj in Model.PunchcardSessions" @Html.AngTooltipValidation("SelectedPunchcard")></select>
                            </div>
                        </div>
                        <div class="place-left two-half-box padding-right20">
                            <label class="req-star">Label</label>

                            <div class="input-control text" @Html.AngValidationClass("PunchcardSessionLabel")>
                                <input ng-model="Model.PunchcardSessionLabel" type="text" @Html.AngTooltipValidation("PunchcardSessionLabel") />
                            </div>
                        </div>
                        <div class="place-left two-half-box">
                            <label class="req-star">Price</label>
                            <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("PunchcardSessionPrice")>
                                <input ng-model="Model.PunchcardSessionPrice" type="text" @Html.AngTooltipValidation("PunchcardSessionPrice") />
                            </div>

                        </div>
                    </div>
                    <div class="clearfix"></div>

                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-false-value="false" ng-true-value="true" ng-model="Model.GetPaymentAtRefister" type="checkbox">
                                <span class="check"></span>
                                Capture the first payment at the registration time
                            </label>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="place-left one-half padding-right20">

                        <label class="req-star">Payment period</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedPaymentSchaduleMode")>
                            <select ng-model="Model.SelectedPaymentSchaduleMode" ng-options="obj.Value as obj.Text for obj in Model.PaymentSchaduleItems" @Html.AngTooltipValidation("SelectedPaymentSchaduleMode")>
                        @*<option value="">Select</option>*@
                        </select>
                        </div>
                    </div>
                    <div class="place-left one-half" ng-if="Model.SelectedPaymentSchaduleMode == 'Monthly'">
                        <label>Schedule</label>

                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedPaymentSchaduleType")>
                            <select ng-model="Model.SelectedPaymentSchaduleType" ng-options="obj.Value as obj.Text for obj in Model.PaymentSchaduleTypes" @Html.AngTooltipValidation("SelectedPaymentSchaduleType")>
                                @*<option value="">Select</option>*@
                            </select>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <hr />

                    <div class="place-left one-third">
                        <label class="req-star">Payment due date</label>
                        <div class="input-control select" data-role="input-control">
                            <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedDueDate")>
                                <select ng-model="Model.SelectedDueDate" ng-options="obj.Value as obj.Text for obj in Model.PaymentDueDate" @Html.AngTooltipValidation("SelectedDueDate")></select>
                            </div>
                        </div>
                    </div>

                    <div class="clearfix"></div>

                </fieldset>
                <fieldset ng-show="ShowNumbeerOfClass">
                    <legend>
                        Number of class days in a week
                    </legend>
                    <div ng-repeat="selectedDay in Model.NumberOfClassDays">
                        <div class="place-left padding-right20">
                            <div class="input-control checkbox" data-role="input-control">
                                <label>
                                    <input ng-false-value="false" ng-true-value="true" ng-model="selectedDay.Value" type="checkbox">
                                    <span class="check"></span>
                                    {{selectedDay.Text}}
                                </label>
                            </div>
                        </div>
                    </div>
                </fieldset>
                <fieldset>
                    <legend>Participant restriction</legend>

                    <span class="message">You can qualify people who can register for your program based on their gender, age, and grade. The system will prevent users from registering for the program if they do not meet all the requirements.</span>

                    <div class="place-left one-half padding-right20">

                        <label>Gender</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="Model.SelectedGender" ng-options="obj.Value as obj.Text for obj in Model.GenderItems"></select>
                        </div>
                    </div>

                    <div class="place-left one-half">
                        <label>Age/grade restrictions</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="Model.SelectedRestrictionType" ng-options="obj.Value as obj.Text for obj in Model.RestrictionTypes"></select>
                        </div>

                        <div ng-if="Model.SelectedRestrictionType == '@RestrictionType.Age'">

                            <div class="place-left one-half" style="padding-right: 20px">
                                <label>Min age</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMinAge")>
                                    <div @Html.AngTooltipValidation("SelectedMinAge")>
                                        <select ng-model="Model.SelectedMinAge" ng-options="obj.Value as obj.Text for obj in Model.Ages"></select>
                                    </div>
                                </div>
                            </div>

                            <div class="place-left one-half">
                                <label>Max age</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMaxAge")>
                                    <div @Html.AngTooltipValidation("SelectedMaxAge")>
                                        <select ng-model="Model.SelectedMaxAge" ng-options="obj.Value as obj.Text for obj in Model.Ages"></select>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div ng-if="Model.SelectedRestrictionType == '@RestrictionType.Grade'">
                            <div class="place-left one-half" style="padding-right: 20px">
                                <label>Min grade</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMinGrade")>
                                    <div @Html.AngTooltipValidation("SelectedMinGrade")>
                                        <select ng-model="Model.SelectedMinGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                                    </div>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <label>Max grade</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMaxGrade")>
                                    <div @Html.AngTooltipValidation("SelectedMaxGrade")>
                                        <select ng-model="Model.SelectedMaxGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div ng-if="Model.SelectedRestrictionType == '@RestrictionType.Grade' || Model.SelectedRestrictionType == '@RestrictionType.Age'">
                            <label class="req-star">The restriction applies</label>
                            <div class="input-control radio">
                                <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                                    <label class="block">
                                        <input ng-model="Model.AppliesRestrictionAtTheProgramStart" name="AppliesRestrictionAtTheProgramStart" ng-value="false" type="radio" />
                                        <span class="check"></span>
                                        At the registration time
                                    </label>
                                </div>
                                <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
                                    <label class="block">
                                        <input ng-model="Model.AppliesRestrictionAtTheProgramStart" name="AppliesRestrictionAtTheProgramStart" ng-value="true" type="radio" />
                                        <span class="check"></span>
                                        At the program start time
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>

                </fieldset>

            </div>

        </div>
    </div>

    <div class="clearfix"></div>

    <hr />
    <a class="place-left button link large" ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>Back</a>
    <a class="success place-right button large" ng-click="saveStep2()">Save & continue</a>

    <div class="clearfix"></div>

</div>